MODULE data_constants

  USE data_parameters

  IMPLICIT NONE

  REAL(kind=ireals), PARAMETER :: &
       r_earth = 6371e3_ireals,      & ! mean radius of the earth (m)
       rho_w = 1000.0_ireals,        & ! density of liquid water (kg/m^3)
       rho_ice = 920.0_ireals,       & ! density of ice          (kg/m^3)
       K_w = 0.93_ireals,            & ! dielectric constant for water
       K_ice = 0.176_ireals,         & ! dielectric constant for ice
       t0_melt = 273.15_ireals

  REAL(kind=ireals), PARAMETER :: r_d     = 287.05_ireals
  REAL(kind=ireals), PARAMETER :: r_v     = 461.51_ireals
  REAL(kind=ireals), PARAMETER :: rvd_m_o = r_v/r_d - 1.0
  REAL(kind=ireals)            :: pi

END MODULE data_constants
