MODULE data_fields

  USE data_parameters

  IMPLICIT NONE

  REAL(kind=ireals), ALLOCATABLE :: &
       dbz(:,:,:)          ,    & ! radar reflectivity                            (dBZ)
       u(:,:,:,:)          ,    & ! zonal wind speed                              ( m/s )
       v(:,:,:,:)          ,    & ! meridional wind speed                         ( m/s )
       w(:,:,:,:)          ,    & ! vertical wind speed (defined on half levels)  ( m/s )
       t(:,:,:,:)          ,    & ! temperature                                   (  k  )
       p(:,:,:,:)          ,    & ! pressure                                      ( Pa  )
       p0(:,:,:)           ,    & ! reference pressure at full levels           ( Pa  )
       pp(:,:,:,:)         ,    & ! deviation from the reference pressure         ( pa  )
       qv(:,:,:,:)         ,    & ! specific water vapor content                  (kg/kg)
       qc(:,:,:,:)         ,    & ! specific cloud water content                  (kg/kg)
       qi(:,:,:,:)         ,    & ! specific cloud ice   content                  (kg/kg)
       qr(:,:,:,:)         ,    & ! specific rain content                         (kg/kg)
       qs(:,:,:,:)         ,    & ! specific snow content                         (kg/kg)
       qg(:,:,:,:)         ,    & ! specific graupel content                      (kg/kg)
       qh(:,:,:,:)         ,    & ! specific graupel content                      (kg/kg)
       qnc(:,:,:,:)        ,    & ! number concentration cloud droplets           ( 1/kg)
       qni(:,:,:,:)        ,    & ! number concentration cloud ice                ( 1/kg)
       qnr(:,:,:,:)        ,    & ! number concentration raindrops                ( 1/kg)
       qns(:,:,:,:)        ,    & ! number concentration snow                     ( 1/kg)
       qng(:,:,:,:)        ,    & ! number concentration graupel                  ( 1/kg)
       qnh(:,:,:,:)        ,    & ! number concentration graupel                  ( 1/kg)
       rho(:,:,:)          ,    & ! density of moist air                          (kg/m3)
       hhl(:,:,:)          ,    & ! geometrical height of half levels           ( m   )
       rlat(:,:)           ,    & ! geographical latitude                         ( rad )
       rlon(:,:)                  ! geographical longitude                        ( rad )

END MODULE data_fields
