MODULE data_modelconfig

  USE data_parameters

  IMPLICIT NONE

  REAL(kind=ireals) :: &
       dt,           & ! long time-step
       pollon,       & ! longitude of the rotated north pole (in degrees, E>0)
       pollat,       & ! latitude of the rotated north pole (in degrees, N>0)
       polgam,       & ! angle between the north poles of the systems  (???????)
       dlon,         & ! grid point distance in zonal direction (in degrees)
       dlat,         & ! grid point distance in meridional direction (in degrees)
       degrad,       & ! factor for transforming degree to rad
       raddeg,       & ! factor for transforming rad to degree
       startlon_tot, & ! transformed longitude of the lower left grid point
                       ! of the total domain (in degrees, E>0)
       startlat_tot, & ! transformed latitude of the lower left grid point
       startlon,     & ! transformed longitude of the lower left grid point
                       ! of this subdomain (in degrees, E>0)
       startlat        ! transformed latitude of the lower left grid point
                       ! of this subdomain (in degrees, N>0)

  INTEGER(kind=iintegers) :: &
       ie,           & ! number of grid points in zonal direction
       je,           & ! number of grid points in meridional direction
       ie_tot,       & ! total number of grid points in zonal direction
       je_tot,       & ! total number of grid points in meridional direction
       ke_tot,       & ! number of grid points in vertical direction
       ke,           & ! number of grid points in vertical direction
       istartpar,    & ! start index for computations in the parallel program
       iendpar,      & ! end index for computations in the parallel program
       jstartpar,    & ! start index for computations in the parallel program
       jendpar,      & ! end index for computations in the parallel program
       klv850

END MODULE data_modelconfig
